GNU bug report logs - #45834
28.0.50; Mouse events in terminal emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brady <bug-gnu-emacs_at_gnu.org@HIDDEN>; dated Tue, 12 Jan 2021 23:43:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 13:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 09:28:49 2021
Received: from localhost ([127.0.0.1]:58992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNxdA-0002y4-SB
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:28:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mNxd9-0002xq-CV
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:28:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41628)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mNxd4-0004xO-20; Wed, 08 Sep 2021 09:28:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1744
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mNxcu-0004ip-Fv; Wed, 08 Sep 2021 09:28:41 -0400
Date: Wed, 08 Sep 2021 16:28:43 +0300
Message-Id: <83o893mc1g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnnrxkrw.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 08 Sep 2021 15:24:35 +0200)
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN> <87pmtj1kdv.fsf@HIDDEN>
 <83y287mm4a.fsf@HIDDEN> <87sfyfz93a.fsf@HIDDEN>
 <83v93bmd0k.fsf@HIDDEN> <87wnnrxkrw.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 45834 <at> debbugs.gnu.org
> Date: Wed, 08 Sep 2021 15:24:35 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > It's not the echo-area that is the problem, it's the fact that "C-h k"
> > thinks it should describe the focus-in sequence, right?
> 
> No, `C-h k' waits for the next real input event.

Which is the focus-in event, right?  Or what do you mean by "real
input event"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 13:24:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 09:24:50 2021
Received: from localhost ([127.0.0.1]:58973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNxZJ-0002s3-Qm
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:24:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNxZH-0002ro-NQ
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:24:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=q01g7m0ZUHu+INJJihstk/iNqUnZc02BXx5mgoKFKeA=; b=gFT8RX62Nge1+Hv9jI1ZtCtYfz
 gVuRdMgR4npBb+gyhOUGR8U3/mwnr3fe4Jd9CkrbO0hDM7KUrNB696xvmXQ7ti9a9M9TiNDZ4iNea
 CXjT0aiq2xF8VtgArDSfK98kXfMXixhS+cqXCzWqziHP0OptPaNvekXIKQCRbnGb6Rg0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNxZ8-0003AH-27; Wed, 08 Sep 2021 15:24:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN> <87pmtj1kdv.fsf@HIDDEN>
 <83y287mm4a.fsf@HIDDEN> <87sfyfz93a.fsf@HIDDEN>
 <83v93bmd0k.fsf@HIDDEN>
Date: Wed, 08 Sep 2021 15:24:35 +0200
In-Reply-To: <83v93bmd0k.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 08 Sep
 2021 16:07:39 +0300")
Message-ID: <87wnnrxkrw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > It's not the echo-area
 that is the problem, it's the fact that "C-h k" > thinks it should describe
 the focus-in sequence, right? No, `C-h k' waits for the next real input event.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> It's not the echo-area that is the problem, it's the fact that "C-h k"
> thinks it should describe the focus-in sequence, right?

No, `C-h k' waits for the next real input event.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 13:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 09:07:37 2021
Received: from localhost ([127.0.0.1]:58952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNxIf-0002Sk-5E
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:07:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mNxId-0002SX-O9
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 09:07:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39906)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mNxIY-0005Xe-6E; Wed, 08 Sep 2021 09:07:30 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4294
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mNxIX-0003K8-P6; Wed, 08 Sep 2021 09:07:30 -0400
Date: Wed, 08 Sep 2021 16:07:39 +0300
Message-Id: <83v93bmd0k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87sfyfz93a.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 08 Sep 2021 11:54:01 +0200)
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN> <87pmtj1kdv.fsf@HIDDEN>
 <83y287mm4a.fsf@HIDDEN> <87sfyfz93a.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 45834 <at> debbugs.gnu.org
> Date: Wed, 08 Sep 2021 11:54:01 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Meaning what? that xterm-translate-focus-in is no longer being called?
> > But you said up-thread that the handler _is_ being called.
> 
> It is called, but the event isn't translated to the [] null event any
> more, so they "leak out" into the echo area (see screenshot in message
> upstream).

It's not the echo-area that is the problem, it's the fact that "C-h k"
thinks it should describe the focus-in sequence, right?  If so, why is
that unexpected?  "C-h k" is supposed to describe the next input
event, right?  If we don't want it to describe the focus-in event, we
need to swallow it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 09:54:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 05:54:12 2021
Received: from localhost ([127.0.0.1]:58713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNuHU-0007X4-7w
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:54:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNuHS-0007Wr-2r
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:54:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=M0AocnPvW+7mS0+GlNFrVMBPTFPGMPeJXWWw3m1uKzw=; b=X+tzDSrPbcjI/q7t8J5GfvjBAV
 kZzk9jk//avSPEdC9OUiZ1EvqcvwAlmLGqyg0umjhZoWG8zo32aIvzA6JrUIESJEVkntQefHbDhZS
 XGw4FW00Fb0/NTky682kq6jIBRqs7rbQOI1yGsWM+nX8GfPOtCbYXLmo/MfbUCdL+v+A=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNuHJ-0001WJ-WD; Wed, 08 Sep 2021 11:54:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN> <87pmtj1kdv.fsf@HIDDEN>
 <83y287mm4a.fsf@HIDDEN>
Date: Wed, 08 Sep 2021 11:54:01 +0200
In-Reply-To: <83y287mm4a.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 08 Sep
 2021 12:51:01 +0300")
Message-ID: <87sfyfz93a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Meaning what? that
 xterm-translate-focus-in is no longer being called? > But you said up-thread
 that the handler _is_ being called. It is called,
 but the event isn't translated
 to the [] null event any more, so they "leak out" into the echo area (see
 screenshot in message upstream). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Meaning what? that xterm-translate-focus-in is no longer being called?
> But you said up-thread that the handler _is_ being called.

It is called, but the event isn't translated to the [] null event any
more, so they "leak out" into the echo area (see screenshot in message
upstream).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 09:51:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 05:51:02 2021
Received: from localhost ([127.0.0.1]:58695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNuEP-0007PL-Ru
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:51:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mNuEO-0007Oz-2N
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:51:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57162)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mNuEH-00085W-KV; Wed, 08 Sep 2021 05:50:53 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4146
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mNuEG-0004Qb-EL; Wed, 08 Sep 2021 05:50:53 -0400
Date: Wed, 08 Sep 2021 12:51:01 +0300
Message-Id: <83y287mm4a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87pmtj1kdv.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 08 Sep 2021 11:34:04 +0200)
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN> <87pmtj1kdv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 45834 <at> debbugs.gnu.org
> Date: Wed, 08 Sep 2021 11:34:04 +0200
> 
> Poking at this a bit more -- the translation of these events apparently
> relied on some magic in `read-event':
> 
>     ;; These translation functions actually call the focus handlers            
>     ;; internally and return an empty sequence, causing us to go on to         
>     ;; read the next event.                                                    
>     (define-key map "\e[I" #'xterm-translate-focus-in)
> 
> ;; By returning an empty key sequence, these two functions perform the         
> ;; moral equivalent of the kind of transparent event processing done           
> ;; by read-event's handling of special-event-map, but inside                   
> ;; read-key-sequence (which can recognize multi-character terminal             
> ;; notifications) instead of read-event (which can't).                         
> 
> (defun xterm-translate-focus-in (_prompt)
>   (setf (terminal-parameter nil 'tty-focus-state) 'focused)
>   (funcall after-focus-change-function)
>   [])
> 
> This works in Emacs 26.1, but not Emacs 27.1.

Meaning what? that xterm-translate-focus-in is no longer being called?
But you said up-thread that the handler _is_ being called.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 8 Sep 2021 09:34:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 05:34:16 2021
Received: from localhost ([127.0.0.1]:58635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNtyC-0004kQ-Jv
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:34:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNtyA-0004k9-44
 for 45834 <at> debbugs.gnu.org; Wed, 08 Sep 2021 05:34:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=31UM9YYEVJC7N0EtRyx8VYvnCRxypqHQDJPYrGqRwn0=; b=uhhaD/5b5oILfHTqLFsgMWV61t
 mgn1Una+SXkjANdTKiv2TqlXFf0sIiZH0lvKwm8Uoos54dgnO7WAb7kcp0Z9dhhplUJR379tjHlvZ
 Qcz+5M/xEW9Ao7mND1R/Y4HoypdFwoUzKLkk3LXg5aWgpV2KDeDvPsvUaHpUiL0WuTLQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNty0-0001KC-W2; Wed, 08 Sep 2021 11:34:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
 <87mtx5hr2d.fsf@HIDDEN>
Date: Wed, 08 Sep 2021 11:34:04 +0200
In-Reply-To: <87mtx5hr2d.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Jan 2021 16:41:46 +0100")
Message-ID: <87pmtj1kdv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >> Does this work
 in Emacs 27? If it does, I suspect one of the recent >> changes in the input
 handling stuff... > > No, Emacs 27 also has the same problem. Emacs 26.1
 does not, though. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Does this work in Emacs 27?  If it does, I suspect one of the recent
>> changes in the input handling stuff...
>
> No, Emacs 27 also has the same problem.  Emacs 26.1 does not, though.

Poking at this a bit more -- the translation of these events apparently
relied on some magic in `read-event':

    ;; These translation functions actually call the focus handlers            
    ;; internally and return an empty sequence, causing us to go on to         
    ;; read the next event.                                                    
    (define-key map "\e[I" #'xterm-translate-focus-in)

;; By returning an empty key sequence, these two functions perform the         
;; moral equivalent of the kind of transparent event processing done           
;; by read-event's handling of special-event-map, but inside                   
;; read-key-sequence (which can recognize multi-character terminal             
;; notifications) instead of read-event (which can't).                         

(defun xterm-translate-focus-in (_prompt)
  (setf (terminal-parameter nil 'tty-focus-state) 'focused)
  (funcall after-focus-change-function)
  [])

This works in Emacs 26.1, but not Emacs 27.1.  I've stared at the
changes in read_key_sequence, but nothing seemed immediately suspicious
here... 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 19 Jan 2021 15:42:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 10:41:59 2021
Received: from localhost ([127.0.0.1]:51321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1t8p-0004gf-Kh
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:41:59 -0500
Received: from quimby.gnus.org ([95.216.78.240]:32770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1t8m-0004gK-Jn
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:41:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=B4YjQ5DxtEUscuUL+cRy+cEgwvLnVHJQPc66+Hw8Jos=; b=i+GWHyewY4KDqYyjpBwAueKMM8
 TxYtIr3Zdp8QRve3eznYyWc6L8NOwdz/7OJR1bXXqpUedtrMHUCQZGU1XiFq1fqfiTE13dgvWk41F
 9JC43qM8XufhrW0ZHXEj5QtqmkH23DysNNcpcQCIRzL8Hn2q6jc7nyKgpQqZ8L1iWeU8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1t8d-0001hr-Lt; Tue, 19 Jan 2021 16:41:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
 <87v9bthryl.fsf@HIDDEN> <831reh7x8x.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVIPjA4MCiAd3D/
 ///D3Px/AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UBEw8SMKDg9hIAAAFaSURBVCjPPVJNquYwDHMg
 3qcQ32GOYUO9dyC61zvCLId3ypG/+TGUosaRJbmyj+zhI2RA+NQORF5psKVQlZaqorAwnDQRlQSm
 KvK1zU5cWc9ZERqiuaK0VmKomBV5Pd6mRpSMcA1NUodWpOjALFG1o0O3wUpeyzMJalsKCtgz1+WL
 c4C1X7vn5VBNqDulzS1bNZ5Qczxgm6ryy7gUipu6v/KNopz0PbGAzHjFdl08iSSLGO6lTVJPaT+X
 3gw1e2h5rgys1+TUcFf4GrRwotOgscy+cwrGvEYRnPDSubpfjkrIxVrmjG5rRgPolkFXjrmy1D/m
 Ar7JJ5SDIDDMD9g8uwaOER+dCUFISes+UPAOhd7u6mxZYLLnNldTf//8/uVS3iB/fBq4C1LwRl2p
 qoX67MdhQvLeabMwTKZMammB3MV9SG09kuVCDYY/Fc5/51/p3/au/pP+H5Ts3xYhccLVdOv3AAAA
 JXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTE5VDE1OjE4OjQ3KzAwOjAwhR+60gAAACV0RVh0ZGF0
 ZTptb2RpZnkAMjAyMS0wMS0xOVQxNToxODo0NyswMDowMPRCAm4AAAAASUVORK5CYII=
X-Now-Playing: Fennesz's _Agora_: "Rainfall"
Date: Tue, 19 Jan 2021 16:41:46 +0100
In-Reply-To: <831reh7x8x.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Jan
 2021 17:38:22 +0200")
Message-ID: <87mtx5hr2d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Does this work in
 Emacs
 27? If it does, I suspect one of the recent > changes in the input handling
 stuff... No, Emacs 27 also has the same problem. Emacs 26.1 does not, though.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Does this work in Emacs 27?  If it does, I suspect one of the recent
> changes in the input handling stuff...

No, Emacs 27 also has the same problem.  Emacs 26.1 does not, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 19 Jan 2021 15:38:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 10:38:25 2021
Received: from localhost ([127.0.0.1]:51316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1t5N-0004Y5-37
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:38:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l1t5K-0004Xo-P5
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:38:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54255)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l1t5E-0005IE-Ud; Tue, 19 Jan 2021 10:38:17 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4925
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l1t5A-0002wg-3M; Tue, 19 Jan 2021 10:38:16 -0500
Date: Tue, 19 Jan 2021 17:38:22 +0200
Message-Id: <831reh7x8x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v9bthryl.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 19 Jan 2021 16:22:26 +0100)
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN> <87v9bthryl.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 45834 <at> debbugs.gnu.org
> Date: Tue, 19 Jan 2021 16:22:26 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I think it's the focus-in event that we somehow mishandle.  See
> > xterm.el, search for "\e[I" (without the quotes).
> 
> Instrumenting the  xterm-translate-focus-in/out functions shows that
> they are being called, so that bit apparently works correctly?
> 
> However, if I say (read-event "foo: ") and then click on another window, 
> I get the following return value, which...  I probably shouldn't?  Or
> should I?
> 
> 27[O
> 
> The reported test case is actually in
> 
> (read-key-sequence "foo: ")
> 
> and it won't actually return the \e[O, but will just append it to the
> prompt.

Does this work in Emacs 27?  If it does, I suspect one of the recent
changes in the input handling stuff...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 19 Jan 2021 15:22:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 10:22:44 2021
Received: from localhost ([127.0.0.1]:51286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1sqC-0003zN-1x
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:22:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1sq9-0003z2-8S
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:22:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eJrlG3dBbdrnBbNKSrOPP0AxtNYbDDQEF46iWHohcO4=; b=Y6c05H9cHsTscezldEYWDY/uiw
 JKppJwnk5hkJ3nju/ENbIaxMhLSDwFGdc6HhW/dlDj+a8y2c/+CDZ2UBfl2ROgGfFHiNqMeQmsgQf
 YQ0KThItT3CsaYIncNP+mmKE9S5J2Op/pNH75xBgGLGMlIb+ZMpwySejssqrE8gKW5So=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1spv-0001Wy-Se; Tue, 19 Jan 2021 16:22:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
 <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVIPjA4MCiAd3D/
 ///D3Px/AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UBEw8SMKDg9hIAAAFaSURBVCjPPVJNquYwDHMg
 3qcQ32GOYUO9dyC61zvCLId3ypG/+TGUosaRJbmyj+zhI2RA+NQORF5psKVQlZaqorAwnDQRlQSm
 KvK1zU5cWc9ZERqiuaK0VmKomBV5Pd6mRpSMcA1NUodWpOjALFG1o0O3wUpeyzMJalsKCtgz1+WL
 c4C1X7vn5VBNqDulzS1bNZ5Qczxgm6ryy7gUipu6v/KNopz0PbGAzHjFdl08iSSLGO6lTVJPaT+X
 3gw1e2h5rgys1+TUcFf4GrRwotOgscy+cwrGvEYRnPDSubpfjkrIxVrmjG5rRgPolkFXjrmy1D/m
 Ar7JJ5SDIDDMD9g8uwaOER+dCUFISes+UPAOhd7u6mxZYLLnNldTf//8/uVS3iB/fBq4C1LwRl2p
 qoX67MdhQvLeabMwTKZMammB3MV9SG09kuVCDYY/Fc5/51/p3/au/pP+H5Ts3xYhccLVdOv3AAAA
 JXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTE5VDE1OjE4OjQ3KzAwOjAwhR+60gAAACV0RVh0ZGF0
 ZTptb2RpZnkAMjAyMS0wMS0xOVQxNToxODo0NyswMDowMPRCAm4AAAAASUVORK5CYII=
X-Now-Playing: Fennesz's _Agora_: "In My Room"
Date: Tue, 19 Jan 2021 16:22:26 +0100
In-Reply-To: <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN> (Eli Zaretskii's
 message of "Tue, 19 Jan 2021 10:24:22 +0200")
Message-ID: <87v9bthryl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I think it's the
 focus-in
 event that we somehow mishandle. See > xterm.el, search for "\e[I" (without
 the quotes). Instrumenting the xterm-translate-focus-in/out functions shows
 that they are being called, so that bit apparently works correctly? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45834
Cc: 45834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think it's the focus-in event that we somehow mishandle.  See
> xterm.el, search for "\e[I" (without the quotes).

Instrumenting the  xterm-translate-focus-in/out functions shows that
they are being called, so that bit apparently works correctly?

However, if I say (read-event "foo: ") and then click on another window, 
I get the following return value, which...  I probably shouldn't?  Or
should I?

27[O

The reported test case is actually in

(read-key-sequence "foo: ")

and it won't actually return the \e[O, but will just append it to the
prompt.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 19 Jan 2021 08:24:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 03:24:37 2021
Received: from localhost ([127.0.0.1]:49397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1mJY-0006eU-Lu
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 03:24:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l1mJV-0006e2-HF
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 03:24:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47207)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l1mJP-0005gZ-2R; Tue, 19 Jan 2021 03:24:28 -0500
Received: from [2a02:14f:82:422e::1] (port=56340)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l1mJN-00067k-DL; Tue, 19 Jan 2021 03:24:26 -0500
Date: Tue, 19 Jan 2021 10:24:22 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87k0s9mnxs.fsf@HIDDEN>
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
To: bug-gnu-emacs@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 45834 <at> debbugs.gnu.org
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45834
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On January 19, 2021 8:38:07 AM GMT+02:00, Lars Ingebrigtsen <larsi@gnus=2Eo=
rg> wrote:
> Brady <bug-gnu-emacs_at_gnu=2Eorg@tangential=2Einfo> writes:
>=20
> > I just tested in a debian VM as well, with snapd's emacs 27=2E1, and
> the
> > same issue occurs, C-h k, then M-TAB to switch to other application
> > shows ESC [ I- in minibuffer=2E Similarly issue is seen with
> > TERM=3Dxterm-256color but not with rxvt=2E
>=20
> I can reproduce this with Emacs 28, too=2E
>=20
> emacs -Q -nw
> C-h k
> *click in a different window*

I think it's the focus-in event that we somehow mishandle=2E  See xterm=2E=
el, search for "\e[I" (without the quotes)=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2021 08:24:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 03:24:32 2021
Received: from localhost ([127.0.0.1]:49394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1mJU-0006eC-Ba
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 03:24:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:40016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l1mJS-0006e5-HA
 for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 03:24:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60058)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1l1mJQ-0003xg-IO
 for bug-gnu-emacs@HIDDEN; Tue, 19 Jan 2021 03:24:29 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47207)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l1mJP-0005gZ-2R; Tue, 19 Jan 2021 03:24:28 -0500
Received: from [2a02:14f:82:422e::1] (port=56340)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l1mJN-00067k-DL; Tue, 19 Jan 2021 03:24:26 -0500
Date: Tue, 19 Jan 2021 10:24:22 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87k0s9mnxs.fsf@HIDDEN>
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
 <87k0s9mnxs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
To: bug-gnu-emacs@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 45834 <at> debbugs.gnu.org
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <BCA4D9E4-81C3-47C6-A413-A1B182806B5F@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On January 19, 2021 8:38:07 AM GMT+02:00, Lars Ingebrigtsen <larsi@gnus=2Eo=
rg> wrote:
> Brady <bug-gnu-emacs_at_gnu=2Eorg@tangential=2Einfo> writes:
>=20
> > I just tested in a debian VM as well, with snapd's emacs 27=2E1, and
> the
> > same issue occurs, C-h k, then M-TAB to switch to other application
> > shows ESC [ I- in minibuffer=2E Similarly issue is seen with
> > TERM=3Dxterm-256color but not with rxvt=2E
>=20
> I can reproduce this with Emacs 28, too=2E
>=20
> emacs -Q -nw
> C-h k
> *click in a different window*

I think it's the focus-in event that we somehow mishandle=2E  See xterm=2E=
el, search for "\e[I" (without the quotes)=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at 45834 <at> debbugs.gnu.org:


Received: (at 45834) by debbugs.gnu.org; 19 Jan 2021 06:38:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 01:38:22 2021
Received: from localhost ([127.0.0.1]:49216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1kek-0006BC-DS
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:38:22 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1kei-0006Az-Fc
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:38:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TulDJvn6r1isM6ZggzusBHd0bH/lU3Y7aAZEui8BDjg=; b=NVC7jnZ7l0rKtAXxyay1LtjHGh
 yTgu0sWbJ027a2abf3GeCx129ZuWcQWTNVoMAI+waDwZXMLyvOLm8aolJqd1drgmGyU/KaMYflrWu
 /Dhm5l7vtAt58zHb4Ca5cY8+6Kg0vN240fnvjzcS+iOLD0RxffUmFSWY+AFlw5Uy7g6A=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1l1keX-0004Vg-7U
 for 45834 <at> debbugs.gnu.org; Tue, 19 Jan 2021 07:38:14 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 45834 <at> debbugs.gnu.org
Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs
References: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
X-Now-Playing: The Blackbyrds's _For Discos Only (2)_: "Rock Creek Park
 (Remix)"
Date: Tue, 19 Jan 2021 07:38:07 +0100
In-Reply-To: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN> (Brady's
 message of "Tue, 12 Jan 2021 15:29:00 -0800")
Message-ID: <87k0s9mnxs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Brady <bug-gnu-emacs_at_gnu.org@HIDDEN> writes: >
 I just tested in a debian VM as well, with snapd's emacs 27.1, and the >
 same issue occurs, C-h k, then M-TAB to switch to other application > shows
 ESC [ I- in minibuffer. Similarly issue is seen w [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45834
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Brady <bug-gnu-emacs_at_gnu.org@HIDDEN> writes:

> I just tested in a debian VM as well, with snapd's emacs 27.1, and the
> same issue occurs, C-h k, then M-TAB to switch to other application
> shows ESC [ I- in minibuffer. Similarly issue is seen with
> TERM=xterm-256color but not with rxvt.

I can reproduce this with Emacs 28, too.

emacs -Q -nw
C-h k
*click in a different window*


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


Anybody know what's going on here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 23:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 18:42:32 2021
Received: from localhost ([127.0.0.1]:33683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzTJ1-0003Eg-JR
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 18:42:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:55462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bug-gnu-emacs_at_gnu.org@HIDDEN>)
 id 1kzT6L-0002ti-AI
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 18:29:26 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44770)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <bug-gnu-emacs_at_gnu.org@HIDDEN>)
 id 1kzT6L-00029z-2l
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 18:29:25 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:37143)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <bug-gnu-emacs_at_gnu.org@HIDDEN>)
 id 1kzT6J-0000XK-1j
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 18:29:24 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 2C1425C057C
 for <bug-gnu-emacs@HIDDEN>; Tue, 12 Jan 2021 18:29:21 -0500 (EST)
Received: from imap21 ([10.202.2.71])
 by compute3.internal (MEProxy); Tue, 12 Jan 2021 18:29:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tangential.info;
 h=mime-version:message-id:date:from:to:subject:content-type; s=
 fm2; bh=dgLEGtOW+vk2USdJDD69Dl1+sY5BEzkc1mwGijWhkmM=; b=PfEJtcKP
 c5RJDLdMKU0vx3JabIa9MbaKliFtE2SQcJXbHWIQw3IVJuqsqWjTiQJCKX9gHIJj
 2NTcBVMZbu+MuUm2cxJq+vwy2qUtV02yFr4TCgclhcDflS+wSO8PE2NvETatjN3W
 S4Le8t1ooBwN5FMmplo0GivYHPg/mAcJ0eHDUNKhqL5zOtipM+CHvMJnI6ti7sSC
 2ECj6cEsTNn2bm5eEq211DbcPO5A6zRueW99wKPornr6WJ4JZ6cy8ohAf/y8Lnr4
 QMzGIsNuLNY/us3Kve6fn7eY7SNoBn25a217Kzf1oURnc7qZWMfZ+LCs6MMu1mXC
 iAlW9dJqQviJew==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=dgLEGtOW+vk2USdJDD69Dl1+sY5BE
 zkc1mwGijWhkmM=; b=B1iT43KlCuigE9DCT5bX1IWBaNymgAK5NAWWrEDPZ88ub
 1BFSlQH5eoFE479ff8VWKiHMuci9WuHqw8DVwPGCl14uVyZtmT2F9QyGgoYUc8QQ
 bMnKCEgh78WLWL69BnQl9IeXj+mdnEXFMOTRIsFKgwLBAgWoOppb21o8LxUMpt4J
 +KPGCRT3iE4jJjPLXJJwpW0fRdN0EAWUVVaKSUufvk9HUXTkjyhI0cvkTTPowG43
 Bj4/BJyqRYMfIb2LJ6eIn+TLOzkFKjv1Oe6cGOX0C09AZ5aSNHctjqpg35QfRxug
 t7roavNC5T0LIxR/tni1OKxzIjqlbSm/zcpMtWBYQ==
X-ME-Sender: <xms:0TD-X7HEGFB9WuhFOgWlhaiQhKbAfaODxWjbl0bDTbmKtCrEC5_mDw>
 <xme:0TD-X4XhZHTMvYRJR2inWiZNJQOmr9DFcmOgYuNqZM9J8CZvm0UkTkEc2s2W_wdCX
 -94ANzh1QtHXob5KQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedukedrtddugdduvdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkfffhvffutgesthdtredtre
 ertdenucfhrhhomhepuehrrgguhicuoegsuhhgqdhgnhhuqdgvmhgrtghspggrthgpghhn
 uhdrohhrghesthgrnhhgvghnthhirghlrdhinhhfoheqnecuggftrfgrthhtvghrnhepgf
 fgvdeggefhveeiledvjeegleekgedtteeguddvleektddtieekleelvedtgfejnecuvehl
 uhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepsghughdqghhnuh
 dqvghmrggtshgprghtpghgnhhurdhorhhgsehtrghnghgvnhhtihgrlhdrihhnfhho
X-ME-Proxy: <xmx:0TD-X9LbjWW8lMXBQd8KXFue5d1vdwhz2NZ91yieGaaEqQfjALy7lA>
 <xmx:0TD-X5GwYLf0oo5sXb1kZJdX8CTlhBhoKBYSzB0zPylpaNXEKwRvkg>
 <xmx:0TD-XxU4vbJ8ZjtfIh_RZ7at2kDrdRLyQgdPxKThpJqD8B1Y2ai2qA>
 <xmx:0TD-X5i0QJ6eKZx9rQiHklXfGLbOTsY9HohOFBct5orleHZXmPWo7A>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id E102E6F60060; Tue, 12 Jan 2021 18:29:20 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-45-g4839256-fm-20210104.001-g48392560
Mime-Version: 1.0
Message-Id: <4653d6b7-8824-4113-ac5a-2793b9d84c8c@HIDDEN>
Date: Tue, 12 Jan 2021 15:29:00 -0800
From: Brady <bug-gnu-emacs_at_gnu.org@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Mouse events in terminal emacs
Content-Type: text/plain
Received-SPF: pass client-ip=66.111.4.27;
 envelope-from=bug-gnu-emacs_at_gnu.org@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jan 2021 18:42:26 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Tested with emacs -Q -nw, in Terminal.app, with TERM=xterm-256color. The issue does not reproduce with TERM=rxvt.

If I press "C-h k", and then switch to another application, then this is registered as "ESC [ I-", and then upon switching back, as "ESC [ O-". I think this is about mouse events, in and out, or "I" and "O".

I think since I actually have M-[ bound to resize windows (without -Q), then this allows I and O to be passed to emacs and inserted as text, or for more strange behavior in other modes like evil or magit.

I'm not sure if this is considered an emacs problem, or if there is an idea for a workaround, besides perhaps unbinding M-[.

I just tested in a debian VM as well, with snapd's emacs 27.1, and the same issue occurs, C-h k, then M-TAB to switch to other application shows ESC [ I- in minibuffer. Similarly issue is seen with TERM=xterm-256color but not with rxvt.

Thank you,
-Brady

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))
 of 2020-10-25 built on clay.local
Repository revision: 10ea719abcde4f2ee40e717eb846fe93f51d5d79
Repository branch: master
System Description:  Mac OS X 10.15.7

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS PDUMPER

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils cl-extra shortdoc seq help-fns radix-tree
help-mode easymenu cl-loaddefs cl-lib term/xterm xterm byte-opt gv
bytecomp byte-compile cconv tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 61436 5322)
 (symbols 48 6973 1)
 (strings 32 19556 966)
 (string-bytes 1 625828)
 (vectors 16 9903)
 (vector-slots 8 124271 9350)
 (floats 8 95 309)
 (intervals 56 351 0)
 (buffers 992 12))




Acknowledgement sent to Brady <bug-gnu-emacs_at_gnu.org@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45834; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Sep 2021 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.